//
//  Created by Gerard Briscoe on 10/08/2007.
//	Released under GPL.
//

import java.io.*;
import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

public class PrefPane extends JFrame {
    protected JButton okButton;
    protected JCheckBox prefsText;
	boolean quit = false;

    public PrefPane()
    {
		super();
        this.getContentPane().setLayout(new BorderLayout(10, 10));

		final String fileName = System.getProperty("user.home") + "/Library/Preferences/org.changemac.plist";

		FileInputStream fin;		
		try	{
		    fin = new FileInputStream(fileName);
			BufferedReader dis = new  BufferedReader(new InputStreamReader(fin));
			String pref = dis.readLine();

			if(pref.equalsIgnoreCase("true"))
				{quit=true;}

		    fin.close();		
			}

		catch (IOException e)
			{
			System.err.println ("Unable to read from file");
			try{File file = new File(fileName);
			file.createNewFile();
			
			
			
			FileWriter fstream = new FileWriter(fileName);
			BufferedWriter out = new BufferedWriter(fstream);
			
			out.write("false");
			
			out.close();

			}
			catch (IOException ex)
				{
				System.err.println("Error: " + ex.getMessage());
				}
			}
	
        prefsText = new JCheckBox("Quit ChangeMAC on successful change of MAC address.", quit);

        JPanel textPanel = new JPanel(new FlowLayout(FlowLayout.LEFT, 10, 10));
        textPanel.add(prefsText);
        this.getContentPane().add (textPanel, BorderLayout.NORTH);
		
        okButton = new JButton("OK");
        JPanel buttonPanel = new JPanel(new FlowLayout(FlowLayout.RIGHT, 10, 10));
        buttonPanel.add (okButton);
        
		
		prefsText.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent newEvent) {
				
		try{FileWriter fstream = new FileWriter(fileName);
			BufferedWriter out = new BufferedWriter(fstream);
			
			if(prefsText.isSelected())
				{out.write("true");}
				else{out.write("false");}
			
			out.close();
			}catch (Exception e)
				{//Catch exception if any
				System.err.println("Error: " + e.getMessage());
				}
			}	
		});
		
		
		okButton.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent newEvent) {
			setVisible(false);
			}	
		});
        this.getContentPane().add(buttonPanel, BorderLayout.SOUTH);
		setSize(400, 129);
		setLocation(20, 40);
    }
}